Skip to main content

Get the patient scan pay details

Retrieve the all the details of the user/patient based on the date ranges.

GET/api/hiecm/scan-gateway/v3/patient/scan-pay/details

<ol type='1'> <li> <b>Header</b> <ol type='a'> <li>AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer <TOKEN> ]</li> <li>REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]</li> <li>TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]</li> <li>X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer <TOKEN> ]</li> <li>X-CM-ID consent manager ID [ Example: sbx ]</li> <li>status [ Example: SUCCESS, CANCELED, PENDING, FAIL, REFUND_INITIATED, REFUND_SUCCESS,ALL ]</li> <li>limit [ Example: 10]</li> <li>startDate [ Example: 2024-07-13T07:30:10.186Z]</li> <li>endDate [ Example: 2025-02-18T08:30:50.189Z]</li> <li>offset [ Example: 0]</li> </ol> </li>

Authorizations

Authorizationbearer tokenRequired

Query parameters

statusstringRequired

Payment status

limitintegerRequired

It describes the no. of records.

startDatestringRequired

start date of the records.

endDatestringRequired

start date of the records.

offsetintegerRequired

retrieval of records starts from the very first record in the dataset.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Responses

200

OK

400

Bad Request. The request could not be processed because it was malformed or failed validation - a missing mandatory field, a value in the wrong format, or a header that did not match the body.

Error codes for this module

401

Unauthorized

Everything returns 401

500

Internal Server Error

Error codes for this module

503

Service Unavailable

Error codes for this module